import os
from gumby.datagenerator.movie import MovieMaker
from gumby.adapter.movie import load_movie

MOVIE_DIRECTORY = 'sample-movies'
if not os.path.exists(MOVIE_DIRECTORY):
    os.mkdir(MOVIE_DIRECTORY)

movie_names = [mov for mov in os.listdir(MOVIE_DIRECTORY)
               if mov.endswith('.pickle')]
if not movie_names:

    # create new movies
    #mm = MovieMaker(models=('pyramid', 'cube'))
    mm = MovieMaker(mode='L')
    mm.seed(0) # reproducible behavior
    mm.add_random_body()
    mm.add_body('caterpillar')
    movies = [mm.render_movie('sample_%03d' % i) for i in xrange(10)]

    # save them for later usage
    for movie in movies:
        movie.save(directory=MOVIE_DIRECTORY)

else:
    # load existing movies
    movies = [load_movie(os.path.join(MOVIE_DIRECTORY, filename))
              for filename in movie_names]

for i, movie in enumerate(movies):
    movie.save_as_avi_movie('movie_%04d.avi' % i)
    movie.save_as_animated_gif('movie_%04d.gif' % i)


