import os
from gumby.datagenerator.movie import MovieMaker
from gumby.adapter.movie import load_movie

MOVIE_DIRECTORY = 'sample-movies3'
CAMERA_POSITIONS = [(10, -5, 0),
                    (10,  5, 0),
                    (-10, -5, 0),
                    (-10,  5, 0)]


if not os.path.exists(MOVIE_DIRECTORY):
    os.mkdir(MOVIE_DIRECTORY)

for camera_position in CAMERA_POSITIONS:
    # create new movies
    mm = MovieMaker(mode='L')
    mm.seed(0) # reproducible behavior
    b = mm.add_body('cube', position=(0., 0., -5.))
    b.f_speed_range = (0.05, 0.05)
    b.r_speed_range = (0.75, 0.75)
    mm.camera.set_xyz(*camera_position)
    mm.set_camera_direction(0, 0, 0)
    movies = [mm.render_movie('sample_%03d' % i) for i in xrange(1)]

    # save them for later usage
    for movie in movies:
        movie.save(directory=MOVIE_DIRECTORY)

for i, movie in enumerate(movies):
    movie.save_as_avi_movie('movie_%04d.avi' % i)
    movie.save_as_animated_gif('movie_%04d.gif' % i)


