from lxml import etree as ET
import os

# change the following paramater to use your Google Analytics account:
ACCOUNT_ID = "UA-544069-1"

# do not recurse on VCS subdirs
IGNORE_SUBDIRS = (".svn", ".bzr", "CVS")

TAGS = """\
<tags>
  <script src="http://www.google-analytics.com/urchin.js" type="text/javascript">
  </script>
  <script type="text/javascript">
    _uacct = "%s";
    urchinTracker();
  </script>
</tags>""" % ACCOUNT_ID
URCHIN_URL = "http://www.google-analytics.com/urchin.js"

tags = [script_tag for script_tag in ET.XML(TAGS)]
html_parser = ET.HTMLParser()

for root, dirs, filenames in os.walk('.'):
    for filename in filenames:
        if not filename.endswith('.html'):
            continue

        filepath = os.path.join(root, filename)
        html_tree = ET.parse(filepath, html_parser)

        if html_tree.xpath('/html/body/script[@src="%s"]' % URCHIN_URL):
            print "skipping %s, already tagged" % filepath
            continue

        print "tagging %s..." % filepath
        body = html_tree.xpath('/html/body')[0]
        for tag in tags:
            body.append(tag)

        html_tree.write_c14n(filepath)

    # Ignoring some subdirs
    for ignore in IGNORE_SUBDIRS:
        if ignore in dirs:
            dirs.remove(ignore)


