"""Simple utility functions for plotting with pylab / matplotlib


The goal is to make the doctest more straightforward when it comes to plotting
so as to help focus on the gumby specific content.
"""

from pylab import Figure
from matplotlib.backends.backend_agg import FigureCanvasAgg


def make_plot(title):
    plot = Figure(figsize=(7, 5)).add_subplot(111)
    plot.grid(True)
    plot.set_title(title)
    return plot

def save_plot(plot, filename):
    FigureCanvasAgg(plot.get_figure()).print_figure(filename, dpi=80)


